a5_tp.htm

Dell Discovery Utility Version 5.0 For Dell PowerVault MD Storage Arrays

Online Help

Notes

NOTE: A NOTE indicates important information that helps you make better use of your computer.

Information in this document is subject to change without notice.
© 2013 Dell Inc. All rights reserved.

Reproduction of these materials in any manner whatsoever without the written permission of Dell Inc. is strictly forbidden.

Trademarks used in this text: Dell™, the DELL logo, and PowerVault™ are trademarks of Dell Inc. Microsoft® is a registered trademark of Microsoft Corporation in the United States and/or other countries.

Other trademarks and trade names may be used in this document to refer to either the entities claiming the marks and names or their products. Dell Inc. disclaims any proprietary interest in trademarks and trade names other than its own.

2013 - 04


Dell Discovery Utility

Overview

Features

Prerequisites

Discovering Dell PowerVault MD Storage Arrays Using Dell Discovery Utility

Overview

The Dell Discovery utility is a component of the Dell MD Storage Array Management Pack Suite version 5.0. This utility discovers Dell PowerVault MD Storage Arrays present in the network and creates a text file that contains the IP addresses of the discovered Dell PowerVault MD Storage Arrays.

Microsoft Systems Center Operations Manager (SCOM) or System Center Essentials (SCE) use this text file containing the IP addresses of the Dell PowerVault MD Storage Arrays to discover and monitor the storage arrays.

You can run the utility from any system that has a supported operating system.

NOTE: For more information on the supported operating systems, see the readme packaged with the Dell MD Storage Array Managemment Pack Suite version 5.0.
NOTE: All references to SCOM are applicable to SCE as well, unless otherwise explicit product and version information is mentioned specifically.

Features

The Dell Discovery utility offers a graphical user interface (GUI) that:

  • Spans across subnets and discovers Dell PowerVault MD Storage Arrays based on the IP addresses or IP address range that you specify.

  • Scans the MD Storage Arrays based on the valid range of IPv4 or IPv6 address.

  • Allows you to type individual IPv4 or IPv6 addresses, which is helpful for managed environments that have fewer Dell PowerVault MD Storage Arrays.

  • Allows you to save the IP listing file in any location, and edit the file. The utility also checks the file for existing entries and avoids creating duplicate entries in the file.

Prerequisites

Install the Microsoft .Net 3.5 framework on any system from where you run the utility.

Discovering Dell PowerVault MD Storage Arrays Using Dell Discovery Utility

To discover the Dell PowerVault MD Storage Arrays:

On the Dell Discovery Utility screen, select one of the following options and click Next:

    • Edit Existing IP Listing File — Allows you to edit the IP addresses extracted from an existing file. If you select this option, perform the steps as given in Editing Existing IP Listing File.

    • Generate New IP Listing File — Creates an IP listing file based on the MD Storage Arrays discovered using the IP address range or IP address specified. If you select this option, perform the steps as given in Generating A New IP Listing File.

Generating A New IP Listing File

To generate a new IP Listing file:

  1. On the Dell Discovery Utility screen, select Generate New IP Listing File and click Next.

  2. Under Network, select the IP address type.

  3. Under the IP Address/ Range:

    • IP Range — Type a range of IP addresses you desire to discover.

NOTE: Ensure that the IP addresses in the IP range you specify belong to the same subnet. For example, you can specify the following range 10.94.146.244 - 10.94.146.250, but you cannot specify the following range 10.94.146.244 - 10.94.147.250. The wizard will display an error message if you specify an incorrect IP range.
NOTE: The utility supports only extended IPv6 addresses.
    • IP Address — Type a specific IP address you would like to discover.

  4. To add the IP address or IP ranges under Added IP Address/ Ranges, click the > button.

  5. To edit the IP address or IP ranges under Added IP Address/ Ranges, click the < button.

  6. To remove any IP address or IP range that you have specified, select the IP address or IP range under Added IP Address/ Ranges and click Remove.

  7. Click Next to proceed to the Summary screen.

The Summary screen displays the list of IP addresses or IP range that you specified.

NOTE: Review the list of IP addresses or IP ranges. If you want to modify any entry, click Back to navigate to the previous screen.
  8. Click Browse... to specify the location on the system where you want to save the IP listing file and type a name for the IP Listing file. The IP listing file is saved with a .cfg extension.

NOTE: If you specify the name of an existing file, and if the Array Bridge Broker (ABB) or any other process is reading the existing IP listing file, you will be prompted to enter a new file name. While specifying a file name, ensure that you do not type Dell_MDStorageArray_ABBConfig.cfg.
  9. Click Next.

  10. To start the discovery process, click Discover. The status bar indicates the status of the number of IP addresses that are scanned and the discovered IP addresses are displayed.

  11. After the discovery process completes, click Exit to close the utility.

  12. Copy the listing file from the folder location that you specified to the SCOM management station.

Editing Existing IP Listing File

To edit an existing IP Listing file:

  1. On the Dell Discovery Utility screen, select Edit Existing IP Listing File and click Next.

  2. Select the file from the folder location where you saved it and click Open. The IP addresses present in the file are displayed.

  3. You can edit or delete the IP addresses present in the IP listing file.

    • To edit an IP address:

    • Select the IP address that you desire to edit.

    • The selected IP address is displayed in a text box below. Click Update to edit the selected IP address.

NOTE: You can select multiple IP addresses, but only the last selected IP address is displayed in the box.
    • To delete an IP address:

    • Select the IP address you desire to delete, and click Delete.

NOTE: You cannot delete all the IP addresses from the file.
  4. Click Finish to update the IP listing file with the modified IP address. The utility modifies the IP listing file and exits automatically.